#include<iostream>
#include<vector>
#define int long long
using namespace std;
signed main() {
	ios_base::sync_with_stdio(false);
	int n, visina;cin >> n >> visina;
	vector<int> v(n);
	for (int i = 0; i < n;i++) {
		cin >> v[i];
	}
	for (int i = 0; i < n;i++) {
		if (v[i] <= visina) {
			cout << i + 1;
			return 0;
		}
	}
	cout << -1;
}